List or fetch WhatsApp messages
curl --request GET \
--url https://app.escrybe.com.br/api/whatsapp/v1/get \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.escrybe.com.br/api/whatsapp/v1/get"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.escrybe.com.br/api/whatsapp/v1/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"status_message": "<string>",
"data": {
"messages": [
{
"id": "<string>",
"visual_id": "<string>",
"message_sender_name": "<string>",
"sender_document": "<string>",
"recipient_name": "<string>",
"recipient_phone": "<string>",
"recipient_document": "<string>",
"body": "<string>",
"media_url": "<string>",
"media_url_presigned": "<string>",
"media_filename": "<string>",
"is_template": "<string>",
"template_id": "<string>",
"template_name": "<string>",
"template_lang": "<string>",
"template_variables": "<string>",
"paymentMethod": "<string>",
"value": "<string>",
"message_status": "<string>",
"created_at": "<string>",
"team_member_id": "<string>",
"team_name": "<string>",
"outbox_id": "<string>",
"status": "<string>",
"attempt_count": "<string>",
"last_error": "<string>",
"sent_at": "<string>",
"delivered_at": "<string>",
"read_at": "<string>",
"updated_at": "<string>",
"sender_id": "<string>",
"sender_name": "<string>",
"sender_phone": "<string>",
"header_text": "<string>",
"body_text": "<string>",
"footer_text": "<string>",
"header_format": "<string>",
"variables_count": "<string>",
"events": [
{
"event_type": "<string>",
"created_at": "<string>",
"raw_payload": "<string>"
}
],
"replies": [
{
"id": 123,
"received_at": "<string>",
"from_phone": "<string>",
"from_name": "<string>",
"type": "<string>",
"body": "<string>",
"link_type": "context",
"media_filename": "<string>",
"media_mime": "<string>",
"media_url_presigned": "<string>",
"forwarded": 0,
"identity_hash": "<string>",
"identity_changed": true,
"certified_timestamp": {
"id": 123,
"status": "pending",
"hash": "<string>",
"created_at": "<string>"
}
}
],
"auto_reply_sent_at": "<string>",
"auto_reply_delivered_at": "<string>",
"auto_reply_read_at": "<string>"
}
],
"pagination": {
"total": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}
}{
"status": 400,
"status_message": "Campos obrigatórios não preenchidos",
"data": null
}{
"status": 401,
"status_message": "Unauthorized - invalid credentials",
"data": null
}{
"status": 200,
"status_message": "<string>",
"data": {}
}{
"status": 200,
"status_message": "<string>",
"data": {}
}WhatsApp Messages
List or fetch WhatsApp messages
GET
/
api
/
whatsapp
/
v1
/
get
List or fetch WhatsApp messages
Authorizations
HTTP Basic where username is your account e-mail and password is your security token.
Query Parameters
When set, returns a single detailed message instead of the list (with presigned media URLs, including those of recipient replies).
Filter the outbox by status. Any value outside the enum is rejected with 400.
Available options:
pending, processing, sent, delivered, read, failed, cancelled Items per page, 1-100. A non-numeric value is rejected with 400.
Required range:
1 <= x <= 100